package fitNesseFixture;

import java.util.Date;

import exceptions.DateInvalidException;
import exceptions.ItemNonExistentException;
import exceptions.PriceInvalidException;
import project.Category;
import project.Item;
import project.ItemPicture;
import project.Seller;

public class SellerFixture {

	private Seller s;
	private String title, description, images, startTime, endTime;

	private int item, category;
	private double price, bidIncrement;

	public String createAuction() {

		s = Seller.getInstance();
		try {
			if (s.createAuction(Item.getItem(item), startTime, endTime, price, bidIncrement)) {
				return "Auction created!";
			}
		} catch (PriceInvalidException e) {
			return e.getMessage();
		} catch (DateInvalidException e) {
			return e.getMessage();
		} catch (ItemNonExistentException e) {
			return e.getMessage();
		}
		return null;

	}

	public Item addItem() {

		s = Seller.getInstance();
		return s.addItem(title, description, ItemPicture.getImages(images), Category.getCategory(category));

	}

	public void setImages(String images) {
		this.images = images;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public void setItem(int item) {
		this.item = item;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public void setBidIncrement(double bidIncrement) {
		this.bidIncrement = bidIncrement;
	}

	public void setS(Seller s) {
		this.s = s;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setCategory(int category) {
		this.category = category;
	}

}
